hxt-9.2.2: A collection of tools for processing XML with Haskell.

Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Safe Haskell | Safe-Infered

Text.XML.HXT.Arrow.DTDProcessing

Description

DTD processing function for including external parts of a DTD parameter entity substitution and general entity substitution

Implemtation completely done with arrows

Synopsis

- processDTD :: IOStateArrow s XmlTree XmlTree

# Documentation

processDTD :: IOStateArrow s XmlTree XmlTree

a filter for DTD processing

inclusion of external parts of DTD, parameter entity substitution conditional section evaluation

input tree must represent a complete document including root node